Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2172495 - F38FailsToInstall: ghc-serialise, ghc-serialise-devel, ghc-serialise-prof
Summary: F38FailsToInstall: ghc-serialise, ghc-serialise-devel, ghc-serialise-prof
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-serialise
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2023-02-22 11:48 UTC by Fedora Fails To Install
Modified: 2023-03-26 00:19 UTC (History)
1 user (show)

Fixed In Version: ghc-serialise-0.2.6.0-4.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-26 00:19:29 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-02-22 11:48:27 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (ghc-serialise) Fails To Install in Fedora 38:

can't install ghc-serialise:
  - nothing provides libHSprimitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHShashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSvector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSunordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSbase-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSth-abstraction-0.4.3.0-FMje8SMcvo6Ej3bhfOvFnc-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHStransformers-compat-0.6.6-9ADqfwGTALm8Nq2ZeUpa4p-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSassoc-1.0.2-DlFj5btkCuHEvzs3TGk8rg-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSbifunctors-5.5.11-2mt06i80omZ6vW2zUZn5Ka-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHScomonad-5.0.8-14XNTVkXFg430uWHShFyQ9-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSdistributive-0.6.2.1-KVxKCEEvBG6hEp8usIJcE-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSindexed-traversable-0.1.2-Eo535BQju5EJMNNLLeinJ3-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHStagged-0.8.6.1-EiQY3za6Q5HE9cdvqupke2-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSthese-1.1.1.1-ANC3DfyCOI87BdRIbykcno-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHSstrict-0.4.0.1-HBxyMmbTWvEG941xvNhtfo-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  - nothing provides libHShalf-0.3.1-LXV3q5IozPLH8VnDttuR3B-ghc8.10.7.so()(64bit) needed by ghc-serialise-0.2.4.0-2.fc37.x86_64
  
can't install ghc-serialise-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(bytestring-0.10.12.0) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(text-1.2.4.1) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(unordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(half-0.3.1-LXV3q5IozPLH8VnDttuR3B) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(hashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(time-1.9.3) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(ghc-prim-0.6.1) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(primitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(these-1.1.1.1-ANC3DfyCOI87BdRIbykcno) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-devel(strict-0.4.0.1-HBxyMmbTWvEG941xvNhtfo) needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-serialise-devel-0.2.4.0-2.fc37.x86_64
  
can't install ghc-serialise-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(bytestring-0.10.12.0) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(text-1.2.4.1) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(unordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(half-0.3.1-LXV3q5IozPLH8VnDttuR3B) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(hashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(time-1.9.3) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(ghc-prim-0.6.1) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(primitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(these-1.1.1.1-ANC3DfyCOI87BdRIbykcno) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  - nothing provides ghc-prof(strict-0.4.0.1-HBxyMmbTWvEG941xvNhtfo) needed by ghc-serialise-prof-0.2.4.0-2.fc37.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install ghc-serialise ghc-serialise-devel ghc-serialise-prof


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2023-03-16 18:13:38 UTC
FEDORA-2023-66e05205c2 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-66e05205c2

Comment 2 Fedora Update System 2023-03-18 05:13:36 UTC
FEDORA-2023-66e05205c2 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-66e05205c2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2023-03-26 00:19:29 UTC
FEDORA-2023-66e05205c2 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.